/*
 * megatec.h
 *
 *  Created on: 22.05.2017
 *      Author: balbekova
 */

#ifndef MEGATEC_H_
#define MEGATEC_H_

#include <stdbool.h>
#include <stdint.h>
#include <stdlib.h>

typedef enum{
	ups_status_req,
	ups_test_10sec,
	ups_test_low_bat,
	ups_test_time,
	ups_beep,
	ups_shutdown,
	ups_shutdown_restore,
	ups_cancel_shut_down,
	ups_cancel_test,
	ups_info,
	ups_rating_info,

	MegaTec_cmd_max
} cmdMegaTecEnums_t;

typedef struct{
	float Freq_in;
	float VAC_in;
	float VAC_out;
	float Temp;
	uint8_t Load;
	uint8_t SOC;
	uint8_t work_time;
	uint8_t Status;
	bool Present;
}UPS_value_t;

UPS_value_t UPS;

void ups_megatec_init(void);


#endif /* MEGATEC_H_ */
